# Get 3DS authentication details

Retrieves the complete details of a specific 3DS authentication using the authenticationId provided in the path.  Note: This endpoint is intended for use with the Components SDKs.

Endpoint: GET /threedsecure/integrated/authentications/{authenticationId}/outcome
Version: 1.0.0

## Path parameters:

  - `authenticationId` (string, required)
    The authentication ID.

## Response 200 fields (application/json):

  - `uniqueId` (string,null)
    The unique identifier for the authentication response.

  - `state` (string,null)
    The current state of the authentication request.
    Enum: "PendingClientData", "AuthenticationSuccessful", "AuthenticationFailed", "AuthenticationRejected", "AuthenticationError", "PendingCustomerChallenge"

  - `transactionStatus` (string,null)
    The status of the transaction.

Possible values include:
 - Y: AuthenticationVerificationSuccessful
 - N: NotAuthenticated_NotVerified
 - U: AuthenticationCouldNotBePerformed
 - A: AttemptsProcessingPerformed
 - C: ChallengeRequired
 - R: AuthenticationRejected
 - I: InformationalOnly
    Enum: "Y", "N", "U", "A", "C", "R", "I"

  - `electronicCommerceIndicator` (string,null)
    The indicator used to signify the level of security used in the authentication, often used in electronic commerce transactions.
    Example: "05"

  - `exemptionGranted` (boolean)
    Whether an exemption from Strong Customer Authentication (SCA) was granted.

  - `exemptionGrantedByIssuer` (string,null)
    Specifies if the exemption was granted by the issuer.

Possible values:
  - 05: TransactionRiskAnalysisExemption
  - 08: TrustListExemption
  - 10: LowValueExemption
  - 11: SecureCorporatePaymentsExemption         
  - 79: NoExemptionApplied

## Response 400 fields (application/json):

  - `errorCode` (string,null)

  - `errorReason` (string,null)

  - `correlationId` (string,null)

  - `details` (array,null)


